package org.seasar.cayenne.dao.impl;

import org.objectstyle.cayenne.map.ObjEntity;
import org.seasar.cayenne.S2DataContextFactory;

/**
 * @author Takahiro MATSUNAGA
 * @see AbstractSelectCommand
 */
public class SelectQueryCommand extends AbstractSelectCommand {

    /**
     * @param s2DataContextFactory
     * @param beanClass
     */
    public SelectQueryCommand(S2DataContextFactory s2DataContextFactory, Class beanClass) {
        super(s2DataContextFactory, beanClass);
    }

    /* (Javadoc Ȃ)
     * @see org.sersar.cayenne.dao.impl.AbstractSelectCommand#setupWhere(java.lang.StringBuffer, org.objectstyle.cayenne.map.ObjEntity, java.lang.Object[])
     */
    protected void setupWhere(StringBuffer sb, ObjEntity objEntity, Object[] args) {
        sb.append(" where ");
        sb.append(getQuery());
    }

}
